<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="classunits_1_1unit__t.html">unit_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">units::unit_t&lt; Units, T, NonLinearScale &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classunits_1_1unit__t.html#ad79c79ec73cd83200af8b6c0867c69c9">abbreviation</a>() const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a12e64b5a271bea053d685fc30df9aeee">convert</a>() const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structunits_1_1linear__scale.html#abe50562800503f5e1720ee1af2c6ad0f">linear_scale</a>()=default</td><td class="entry"><a class="el" href="structunits_1_1linear__scale.html">units::linear_scale&lt; double &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>linear_scale</b>(const linear_scale &amp;)=default (defined in <a class="el" href="structunits_1_1linear__scale.html">units::linear_scale&lt; double &gt;</a>)</td><td class="entry"><a class="el" href="structunits_1_1linear__scale.html">units::linear_scale&lt; double &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structunits_1_1linear__scale.html#a46d98f82582a5043fc2743e8cfed4e05">m_value</a></td><td class="entry"><a class="el" href="structunits_1_1linear__scale.html">units::linear_scale&lt; double &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a3bc99e9ce0f2b0c16358a620a2085b68">name</a>() const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>nls</b> typedef (defined in <a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>)</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#adb3e922bd9478c385843ee44a7607e14">non_linear_scale_type</a> typedef</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a1b4652d0db0c70aed0df98ce510dea85">operator std::chrono::nanoseconds</a>() const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a0e83d3d3d051567eb33f1a475fa35704">operator Ty</a>() const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a0e83d3d3d051567eb33f1a475fa35704">operator Ty</a>() const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a8599d7df8a1db468dc3e61c3e6122041">operator!=</a>(const unit_t&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a0344e38243a1338677da61fc4d0ef2e9">operator&lt;</a>(const unit_t&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a0cb34c0c879367098d36408f833fb711">operator&lt;=</a>(const unit_t&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a3cd356057a6c39cebe33e4ea6ef3c6f6">operator=</a>(const unit_t&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a0ed50cb1ecc7c8fbfa6527dc96836317">operator=</a>(const Ty &amp;rhs) noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(const linear_scale &amp;)=default (defined in <a class="el" href="structunits_1_1linear__scale.html">units::linear_scale&lt; double &gt;</a>)</td><td class="entry"><a class="el" href="structunits_1_1linear__scale.html">units::linear_scale&lt; double &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#acb13edd0520e3108b5c4b99af455210b">operator==</a>(const unit_t&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator==</b>(const unit_t&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept (defined in <a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>)</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#aa217fffcd201893766279a216c30bd03">operator&gt;</a>(const unit_t&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classunits_1_1unit__t.html#ade9d4c04fc33fc1a62aaef313729aff4">operator&gt;=</a>(const unit_t&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a848f265210db571a1f7d13aae96c8dd5">to</a>() const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a80b7f760f0ed5ff1855ec2f3d8e8c6b1">toLinearized</a>() const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#af3f88305faf59e0c71e8e616a2877ceb">underlying_type</a> typedef</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>unit_t</b> (defined in <a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>)</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#ae772ed5c49f98651ff0a731633c4a079">unit_t</a>()=default</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classunits_1_1unit__t.html#acd43a640c3022fdf3e1ed3cea0157e8e">unit_t</a>(const T value, const Args &amp;... args) noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a687c7c408e61d4ec652f3c7b98924c27">unit_t</a>(const Ty value) noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a1f31f268937a30e1b76066813d13431f">unit_t</a>(const std::chrono::duration&lt; Rep, Period &gt; &amp;value) noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a6ae6e3aeeac10dc8d79355e881428d25">unit_t</a>(const unit_t&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a97925b5862ffd961071a8060d0f036b3">unit_type</a> typedef</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classunits_1_1unit__t.html#a5bb6799c6eb6f4cab7b47490ab03b9a1">value</a>() const noexcept</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classunits_1_1unit__t.html#ab292fb5cbcd67da6f7075fac82f0bc36">value_type</a> typedef</td><td class="entry"><a class="el" href="classunits_1_1unit__t.html">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~linear_scale</b>()=default (defined in <a class="el" href="structunits_1_1linear__scale.html">units::linear_scale&lt; double &gt;</a>)</td><td class="entry"><a class="el" href="structunits_1_1linear__scale.html">units::linear_scale&lt; double &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:53 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
